Bug 1735666 - [Disperse volume]: Regression in IO performance seen in sequential read for large file
Summary: [Disperse volume]: Regression in IO performance seen in sequential read for l...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: read-ahead
Version: rhgs-3.5
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
: ---
Assignee: Xavi Hernandez
QA Contact: Rahul Hinduja
URL:
Whiteboard:
Depends On:
Blocks: 1696815 1788656
TreeView+ depends on / blocked
 
Reported: 2019-08-01 08:34 UTC by Rinku
Modified: 2020-08-06 07:55 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
In some cases, both kernel read-ahead and gluster read-ahead mechanisms cause a large increase in the amount of data read during sequential read operations. In these cases, performance for sequential reads, especially on dispersed volumes, is significantly worse. If you are affected by this issue, you can work around the problem by manually disabling gluster read-ahead and io-cache behavior using the following commands. # gluster volume set <volname> read-ahead off # gluster volume set <volname> io-cache off
Clone Of:
: 1788656 (view as bug list)
Environment:
Last Closed: 2019-11-18 16:21:58 UTC
Target Upstream Version:
puebele: needinfo+
aspandey: needinfo-


Attachments (Terms of Use)


Note You need to log in before you can comment on or make changes to this bug.